
Name:    libkmahjongg
Summary: Common code, backgrounds and tile sets for games using Mahjongg tiles
Version: 23.08.4
Release:    2%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/games/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel

Requires: %{name}-data = %{version}-%{release}

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%package data
Summary:  Common data for %{name}
BuildArch: noarch
Conflicts:     libkmahjongg < 16.04.2-2
Conflicts:     libkmahjongg4 < 14.12.3-5
BuildRequires: kde-filesystem
Requires:      kde-filesystem

%description data
%{summary}, including backgrounds and tilesets.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

%files
%doc README
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/libkmahjong*
%{_kf5_libdir}/libKF5KMahjongglib.so.5*

%files devel
%{_kf5_libdir}/libKF5KMahjongglib.so
%{_kf5_libdir}/cmake/KF5KMahjongglib/
%{_kf5_includedir}/KMahjongg/

%files data -f %{name}.lang
%{_kf5_datadir}/kmahjongglib/


%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 23.08.4-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
